Page MenuHomePhabricator

the iframe with the Creative Commons license shows partial translations
Open, LowPublic

Description

In the license selection screen in the installer, there's an <iframe> that shows a form loaded from creativecommons.org. In Hebrew the translation is partial and the RTL display is broken. I didn't investigate it deeply, but I guess that it must be fixed upstream on their site. Do we have contacts there?


Version: 1.21.x
Severity: normal

Details

Reference
bz40372

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:01 AM
bzimport set Reference to bz40372.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Sep 19 2012, 11:50 PM
brion added a comment.Sep 20 2012, 9:30 PM

Back in the day when we added it first, I think the place to go was the cc-metadata list: http://lists.ibiblio.org/mailman/listinfo/cc-metadata

It doesn't look very active now so I don't know if anybody will get requests there; might try writing to Mike Linksvayer directly and see if there's a modern point person to talk to.

brion added a comment.Sep 20 2012, 9:39 PM

Email Mike, CC'd you.

nkinkade wrote:

A fix for this issue has been pushed to a development instance of the CC Partner Interface. There are still some strings which need to translated (for Hebrew, at least):

https://www.transifex.com/projects/p/CC/resource/deeds-choosers/l/he/view/

... but hopefully the issue with the text direction should be resolved. If someone can confirm that the issue seems to be resolved, notwithstanding the translations, let us know and we'll push the fix live.

nkinkade wrote:

Sorry, I forgot to post the link for the development instance:

http://staging.creativecommons.org/choose/?lang=he&partner=MediaWiki

Aha, the direction looks better now in Hebrew, Arabic (ar) and Persian (fa). Urdu (ur) is still left-to-right, but it doesn't seem to have any translations.

I already started completing the Hebrew translation in transifex.

Forgot an important thing: Thank you for fixing the direction!

Ebraminio moved this task from Backlog to Other on the RTL board.Aug 9 2015, 12:04 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptAug 9 2015, 12:04 PM
Amire80 moved this task from Untriaged to RTL on the I18n board.Feb 28 2018, 12:33 PM